#
# spec file for package python-freeipa
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2020 Neal Gompa <ngompa13@gmail.com>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pypi_name python-freeipa
%global srcname freeipa

Name:           python-%{srcname}
Version:        1.0.6
Release:        1.12
Summary:        Lightweight FreeIPA client
License:        MIT
URL:            https://python-freeipa.readthedocs.io/
Source0:        https://github.com/opennode/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module responses}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

Requires:       python-requests

%python_subpackages

%description
python-freeipa is lightweight FreeIPA client.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest src/python_freeipa/tests/suite.py

%files %{python_files}
%license LICENSE.md
%doc README.rst
%{python_sitelib}/python_freeipa/
%{python_sitelib}/python_freeipa-%{version}-py%{python_version}.egg-info/

%changelog
* Mon May 17 2021 pgajdos@suse.com
- version update to 1.0.6
  * no upstream changelog found
- use %%pytest macro
* Wed May 13 2020 Neal Gompa <ngompa13@gmail.com>
- Update to version 1.0.5
  + Fix URL to point to docs and declare Python 3 support in metadata
  + Detect hostname when changing password too
* Tue Apr 14 2020 Neal Gompa <ngompa13@gmail.com>
- Initial packaging
